# SPDX-License-Identifier: GPL-2.0-only
%YAML 1.2
---
$id: http://devicetree.org/schemas/pci/cdns,cdns-pcie-host.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Cadence PCIe host controller

maintainers:
  - Tom Joseph <tjoseph@cadence.com>

allOf:
  - $ref: /schemas/pci/pci-bus.yaml#
  - $ref: "cdns-pcie-host.yaml#"

properties:
  compatible:
    const: cdns,cdns-pcie-host

  reg:
    maxItems: 2

  reg-names:
    items:
      - const: reg
      - const: cfg

  msi-parent: true

required:
  - reg
  - reg-names

unevaluatedProperties: false

examples:
  - |
    bus {
        #address-cells = <2>;
        #size-cells = <2>;

        pcie@fb000000 {
            compatible = "cdns,cdns-pcie-host";
            device_type = "pci";
            #address-cells = <3>;
            #size-cells = <2>;
            bus-range = <0x0 0xff>;
            linux,pci-domain = <0>;
            vendor-id = <0x17cd>;
            device-id = <0x0200>;

            reg = <0x0 0xfb000000  0x0 0x01000000>,
                  <0x0 0x41000000  0x0 0x00001000>;
            reg-names = "reg", "cfg";

            ranges = <0x02000000 0x0 0x42000000  0x0 0x42000000  0x0 0x1000000>,
                     <0x01000000 0x0 0x43000000  0x0 0x43000000  0x0 0x0010000>;
            dma-ranges = <0x02000000 0x0 0x0 0x0 0x0 0x1 0x00000000>;

            #interrupt-cells = <0x1>;

            interrupt-map = <0x0 0x0 0x0  0x1  &gic  0x0 0x0 0x0 14 0x1>,
                 <0x0 0x0 0x0  0x2  &gic  0x0 0x0 0x0 15 0x1>,
                 <0x0 0x0 0x0  0x3  &gic  0x0 0x0 0x0 16 0x1>,
                 <0x0 0x0 0x0  0x4  &gic  0x0 0x0 0x0 17 0x1>;

            interrupt-map-mask = <0x0 0x0 0x0  0x7>;

            msi-parent = <&its_pci>;

            phys = <&pcie_phy0>;
            phy-names = "pcie-phy";
        };
    };
...
